<template>
  <div class="show-category-box" @click="goToProductListOfThisCategory">
    <img :src="category.icons" alt />
    <p>{{ category.categoryName }}</p>
  </div>
</template>

<script>
export default {
  name: 'ShowCategoryBox',
  props: {
    category: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {
      searchedCategoryName: null
    }
  },
  methods: {
    goToProductListOfThisCategory() {
      this.searchedCategoryName = this.category.categoryName
      this.$emit('go-to-category', this.searchedCategoryName)
    }
  }
}
</script>

<style scoped></style>
